

Use one_sec_update_atime in ext2



 fs/ext3/file.c    |    5 +++--
 fs/ext3/namei.c   |    6 +++---
 fs/ext3/symlink.c |    2 ++
 3 files changed, 8 insertions(+), 5 deletions(-)

diff -puN fs/ext3/file.c~ext3-update_atime_speedup fs/ext3/file.c
--- 25/fs/ext3/file.c~ext3-update_atime_speedup	2003-02-25 22:59:58.000000000 -0800
+++ 25-akpm/fs/ext3/file.c	2003-02-25 22:59:58.000000000 -0800
@@ -116,8 +116,8 @@ struct file_operations ext3_file_operati
 	.llseek		= generic_file_llseek,
 	.read		= do_sync_read,
 	.write		= do_sync_write,
-	.aio_read		= generic_file_aio_read,
-	.aio_write		= ext3_file_write,
+	.aio_read	= generic_file_aio_read,
+	.aio_write	= ext3_file_write,
 	.readv		= generic_file_readv,
 	.writev		= generic_file_writev,
 	.ioctl		= ext3_ioctl,
@@ -136,5 +136,6 @@ struct inode_operations ext3_file_inode_
 	.listxattr	= ext3_listxattr,
 	.removexattr	= ext3_removexattr,
 	.permission	= ext3_permission,
+	.update_atime	= one_sec_update_atime,
 };
 
diff -puN fs/ext3/namei.c~ext3-update_atime_speedup fs/ext3/namei.c
--- 25/fs/ext3/namei.c~ext3-update_atime_speedup	2003-02-25 22:59:58.000000000 -0800
+++ 25-akpm/fs/ext3/namei.c	2003-02-25 22:59:58.000000000 -0800
@@ -2323,6 +2323,7 @@ struct inode_operations ext3_dir_inode_o
 	.listxattr	= ext3_listxattr,	
 	.removexattr	= ext3_removexattr,
 	.permission	= ext3_permission,
+	.update_atime	= one_sec_update_atime,
 };
 
 struct inode_operations ext3_special_inode_operations = {
@@ -2332,6 +2333,5 @@ struct inode_operations ext3_special_ino
 	.listxattr	= ext3_listxattr,
 	.removexattr	= ext3_removexattr,
 	.permission	= ext3_permission,
-};
-
- 
+	.update_atime	= one_sec_update_atime,
+}; 
diff -puN fs/ext3/symlink.c~ext3-update_atime_speedup fs/ext3/symlink.c
--- 25/fs/ext3/symlink.c~ext3-update_atime_speedup	2003-02-25 22:59:58.000000000 -0800
+++ 25-akpm/fs/ext3/symlink.c	2003-02-25 22:59:58.000000000 -0800
@@ -41,6 +41,7 @@ struct inode_operations ext3_symlink_ino
 	.getxattr	= ext3_getxattr,
 	.listxattr	= ext3_listxattr,
 	.removexattr	= ext3_removexattr,
+	.update_atime	= one_sec_update_atime,
 };
 
 struct inode_operations ext3_fast_symlink_inode_operations = {
@@ -50,4 +51,5 @@ struct inode_operations ext3_fast_symlin
 	.getxattr	= ext3_getxattr,
 	.listxattr	= ext3_listxattr,
 	.removexattr	= ext3_removexattr,
+	.update_atime	= one_sec_update_atime,
 };

_
